# Mercury Chat - Vue Chat

Welcome To Mercury Chat for Vue 2! This library is used to seamlessly embed Cardano Wallet to Wallet communication into any Cardano Application!

This library supports Vue 2, but we also have a library for React and Vue 3+

1: Installation:

```
npm install @mercury-chat/vue-chat-previous
```

2: Usage:

The aim of Mercury Chat is to be able to embed a chat system into your application as seamlessly as possible.

Import MercuryChat into a component and use it inside a Single File Component like this:

```
<script>
import MercuryChat from '@mercury-chat/vue-chat-previous';

export default {
  name: 'App',
  components: {
    MercuryChat
  }
}
</script>

<template>
  <div id="app">
    <MercuryChat />
  </div>
</template>
```

The default MercuryChat implementation has a chat button appear the bottom right of the component (you can place <MercuryChat /> such that the chat bubble appears in the bottom right section of the screen)

3: Optional Parameters

MercuryChat has 4 props that can be used with more that will be added in the future

```
<MercuryChat position='bottom-right' :hasFullscreen=true :showBackground=true />
```

-   <b>position</b>: 'bottom-right' | 'standard' - defaults to 'bottom-right'
    The position prop determines where on the screen the chat bubble will appear. If the position is 'bottom-right' than the chat bubble will appear on the bottom right of the component. If the position is 'standard' the chat bubble can be moved around the component at will.

-   <b>hasFullscreen</b>: true | false - defaults to true
    The hasFullscreen prop determines if the chat will open up in a large screen or not. Some dapps may want fullscreen chat, while others such as NFT marketplaces may want to turn hasFullscreen to false to allow users to browse the marketplace while chatting

-   <b>showBackground</b>: true | false - defaults to true
    The showBackground tag determines if there will be a black transparent background behind the chat that will be clickable to close the chat

-   <b>user</b>: any - defaults to null
    This is not in use currently, but will be used to allow users to go straight to a conversation with a user (address / adahandle)

This library is new and actively being worked on to improve the experience, this first version 0.0.6 should be considered a beta release.

I hope you all enjoy chatting!
